<?php

namespace App\Http\Controllers\Admin;

use App\Model\Table_eight;
use App\Model\Table_five;
use App\Model\Table_four;
use App\Model\Table_nine;
use App\Model\Table_one;
use App\Model\Table_seven;
use App\Model\Table_six;
use App\Model\Table_three;
use App\Model\Table_two;
use App\Model\Tablelist;
use Session;

class PrintController extends CommonController
{

    public function printed($id)
    {

        if(!$table = Tablelist::find($id)) return back()->withErrors('网络错误！');

        $type = $table->table_id;
        $child_id = $table->child_table_id;

        switch($type){
            case 1:
                if(!$table = Table_one::find($child_id)) return back()->withErrors('可能非法数据库改动造成的数据丢失！');
                return view('admin.print.table_4_one',compact('table'));
                break;
            case 2:
                if(!$table = Table_two::find($child_id)) return back()->withErrors('可能非法数据库改动造成的数据丢失！');
                return view('admin.print.table_7_tow',compact('table'));
                break;
            case 3:
                if(!$table = Table_three::find($child_id)) return back()->withErrors('可能非法数据库改动造成的数据丢失！');
                return view('admin.print.table_8_three',compact('table'));
                break;
            case 4:
                if(!$table = Table_four::find($child_id)) return back()->withErrors('可能非法数据库改动造成的数据丢失！');
                return view('admin.print.table_6_four',compact('table'));
                break;
            case 5:
                if(!$table = Table_five::find($child_id)) return back()->withErrors('可能非法数据库改动造成的数据丢失！');
                return view('admin.print.table_9_five',compact('table'));
                break;
            case 6:
                if(!$table = Table_six::find($child_id)) return back()->withErrors('可能非法数据库改动造成的数据丢失！');
                return view('admin.print.table_5_six',compact('table'));
                break;
            case 7:
                if(!$table = Table_seven::find($child_id)) return back()->withErrors('可能非法数据库改动造成的数据丢失！');
                return view('admin.print.table_3_seven',compact('table'));
                break;
            case 8:

                if(!$table = Table_eight::find($child_id)) return back()->withErrors('可能非法数据库改动造成的数据丢失！');
                $table['jsons'] = json_decode($table->json);
                return view('admin.print.table_1_eight',compact('table'));
                break;
            case 9:
                if(!$table = Table_nine::find($child_id)) return back()->withErrors('可能非法数据库改动造成的数据丢失！');
                return view('admin.print.table_2_nine',compact('table'));
                break;
        }

    }

}